/* VtxHitOnTrk.java

 Created by  Mike Ronan  Dec '98   
 Modified by

 */

package hep.lcd.recon.ztracking;

import hep.lcd.event.*;


public class VtxHitOnTrk extends TrkHitOnTrk
{
    public VtxHitOnTrk(String type,double[] point,double rPhiRms,double zRms)
    {
	super(type,point,rPhiRms,zRms);
    }
    public VtxHitOnTrk(String type,double x,double y,double z,double rPhiRms,double zRms)
    {
	super(type,x,y,z,rPhiRms,zRms);
    }
    public VtxHitOnTrk(String type,double[] point,double rPhiRms,double zRms,MCParticle mcPart)
    {
	super(type,point,rPhiRms,zRms,mcPart);
    }
    public VtxHitOnTrk(String type,double x,double y,double z,double rPhiRms,double zRms,
		       MCParticle mcPart)
    {
	super(type,x,y,z,rPhiRms,zRms,mcPart);
    }

    /** Modified for backward compatibility. */
    public VtxHitOnTrk(String type,double[] point,MCParticle mcp)
    {
	super(type,point,0.,0.,mcp);
    }

    public VtxHitOnTrk(String type,double x,double y,double z,MCParticle mcp)
    {
        super(type,x,y,z,0.,0.,mcp);
    }
    public boolean trkHit() { return false; }
    public boolean vtxHit() { return true; }
}

